| optoICC

Loading...
Searching...
No Matches
optoICC.ecc1c.ECC1cBoard Class Reference
Inheritance diagram for optoICC.ecc1c.ECC1cBoard:

## Public Member Functions
| __init__ (self, str or None port=None, int baudrate=256000, bool comm_lock=True, bool verbose=False, bool simple=False, float inter_byte_timeout=0.2)

## Public Attributes
| Status = Registers.ICCStatus(board=self)
| => ICCStatus
| VectorPatternMemory = Registers.VectorPatternMemory(board=self)
| => VectorPatternMemory
| TemperatureManager = Registers.ICCTemperatureManager(board=self)
| => ICCTemperatureManager
| MiscFeatures = Registers.ICCMiscFeatures(board=self)
| => ICCMiscFeatures
| Logger = Registers.Logger(board=self)
| => Logger
| EEPROM = BoardEEPROMRegisters.ECC1cBoardEEPROM(board=self)
| => ICCBoardEEPROM
| SnapshotManager = Registers.SnapshotManager(board=self)
| => SnapshotManager
| SignalFlowManager = Registers.SignalFlowManager(board=self)
| => SignalFlowManager
| Lens = ECC1cChannel(self, 0)
| => ECC1cChannel
list | channel = [self.Lens]
| verbose

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.ecc1c.ECC1cBoard.__init__ | ( |  | self,
|  | str or None | port = None,
|  | int | baudrate = 256000,
|  | bool | comm_lock = True,
|  | bool | verbose = False,
|  | bool | simple = False,
|  | float | inter_byte_timeout = 0.2 )

## Member Data Documentation

## ◆ Status

optoICC.ecc1c.ECC1cBoard.Status = Registers.ICCStatus(board=self)

=> ICCStatus

## ◆ VectorPatternMemory

optoICC.ecc1c.ECC1cBoard.VectorPatternMemory = Registers.VectorPatternMemory(board=self)

=> VectorPatternMemory

## ◆ TemperatureManager

optoICC.ecc1c.ECC1cBoard.TemperatureManager = Registers.ICCTemperatureManager(board=self)

=> ICCTemperatureManager

## ◆ MiscFeatures

optoICC.ecc1c.ECC1cBoard.MiscFeatures = Registers.ICCMiscFeatures(board=self)

=> ICCMiscFeatures

## ◆ Logger

optoICC.ecc1c.ECC1cBoard.Logger = Registers.Logger(board=self)

=> Logger

## ◆ EEPROM

optoICC.ecc1c.ECC1cBoard.EEPROM = BoardEEPROMRegisters.ECC1cBoardEEPROM(board=self)

=> ICCBoardEEPROM

## ◆ SnapshotManager

optoICC.ecc1c.ECC1cBoard.SnapshotManager = Registers.SnapshotManager(board=self)

=> SnapshotManager

## ◆ SignalFlowManager

optoICC.ecc1c.ECC1cBoard.SignalFlowManager = Registers.SignalFlowManager(board=self)

=> SignalFlowManager

## ◆ Lens

optoICC.ecc1c.ECC1cBoard.Lens = ECC1cChannel(self, 0)

=> ECC1cChannel

## ◆ channel

list optoICC.ecc1c.ECC1cBoard.channel = [self.Lens]

## ◆ verbose

optoICC.ecc1c.ECC1cBoard.verbose